{ lib, config, ... }:
with lib;
let cfg = config.voidconf.kernelTweaks;
in {
  options.voidconf.kernelTweaks = {
    enable = mkEnableOption "Enables kernel tweaks";
  };
  config = mkIf cfg.enable {
    boot = {
      kernelModules = [ "tcp_bbr" ];
      kernel.sysctl = {
        "net.ipv4.tcp_congestion_control" = "bbr";
        "net.core.default_qdisc" = "fq";
      };
    };
  };
}
